// *********************************************************************
// *                                                                   *
// * (c) 1997-2004 Andreas Ziermann LOET.DE                            *
// *                                                                   *
// * These files are for reference only. You may not use these files   *
// * for commercial purpose use without permit.                        *
// *                                                                   *
// * b@loet.de                                                         *
// *                                                                   *
// * 1.00 2004-07-04                                                   *
// *      first released                                               *
// *                                                                   *
// *********************************************************************

#if !defined(__DOS16__) && !defined (__WIN32__) &&!defined(__LINUX__) &&!defined(__SUN__) 
  #error must define one of these targets: __DOS16__ || __WIN32__ || __LINUX__ || __SUN__
#endif

#if !defined(MSB_FIRST) && !defined (LSB_FIRST)
  #error must define BYTE_ORDER!!! MSB_FIRST or LSB_FIRST
#endif

#if defined (__LINUX__) || defined(__SUN__)
  #include <arpa/inet.h> 
  #include <netinet/in.h>
  #include <sys/socket.h>
  #include <sys/time.h>
#endif

#if defined(__SUN__)
  #include <sys/ddi.h>
#endif


#if defined (__WIN32__)
  #include <winsock.h>
  typedef int socklen_t;    
#endif

#include <assert.h>
#include <ctype.h>
#include <fstream.h>
#include <iostream.h>
#include <string.h>
#if !defined(__WATCOM__) && !defined(__LINUX__) && !defined(__VCPP__) && !defined(__SUN__) 
  #include <dir.h>
#endif
#if !defined(__WATCOM__) && !defined(__VCPP__)
  #include <dirent.h>
#endif
#include <errno.h>
#include <fcntl.h>
#include <malloc.h>
#include <math.h>
#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/timeb.h>

#include <time.h>
#include <stdarg.h>

#if !defined(__LINUX__) && !defined(__SUN__)
  #include <io.h>
#endif

#if !defined(__DOS16__) &&  !defined(__WIN32__)
  #include <sys/ipc.h>
  #include <sys/shm.h>
  #include <unistd.h>
#endif

#if defined(__DOS16__)
  #include <stdarg.h>
  typedef unsigned long ULONG;
  typedef unsigned int  USHORT;
  typedef unsigned char UCHAR;
#endif

#ifdef  __DOS16__
  #define PATHCON '\\'
#else
  #define PATHCON '/'
#endif

#if defined(__BC502__) || defined(__WATCOM__) || defined(__VCPP__) 
  // beispiel xprintf.h praeproz unterstuetzt keine
  // makros mit variablen parameterlisten
  #define __NOVARARGS__
#endif

#ifdef __WATCOM__
  typedef enum
  {
    false=0,
    true =-1,
  } bool;
  #include "direct.h"  
#endif
