// *********************************************************************
// *                                                                   *
// * (c) 1997-2004 Andreas Ziermann LOET.DE                            *
// *                                                                   *
// * These files are for reference only. You may not use these files   *
// * for commercial use without permit.                                *
// *                                                                   *
// * b@loet.de                                                         *
// *                                                                   *
// * 1.00 2004-07-04                                                   *
// *      first released                                               *
// *                                                                   *
// *********************************************************************
// start der mbr-boot routine
// wenn hier etwas gaeendert wird auch mal schauen, ob
// MBR_Mr_Boot (biosdefs.h) geaendert werden muss
extern "C" void bootsec_start();
extern "C" void bootsec_ends();
extern "C" byte far boot_disk; // von welchen laufwerk wird ab sektor 2
                           // (h=0, z=0) der bootmanager eingelesen
extern "C" byte far boot_seccount; // wieviele sektor sollen eingelesen werden
extern "C" char far boot_version[5]; // nicht 0-terminiert !!!

// zu kontrolle ob der heap in den code hineinwaechst
//extern byte far hhh_heap[];
//extern byte far hhh_ck[];

// start der boot routine
extern "C" int main_boot();
// die exportierten parameter findet man auch unter
// Par_Mr_Boot (biosdefs.h) bitte vorsicht!!!
// laenger der parametertabelle
extern "C" word far par_entry_size;
// laenge eines partitionseintrages
extern "C" word far par_partition_entry_len;
// anzahl der partitionseintraege
extern "C" word far par_partition_entry_count;
// der bootmamager wird nur im test_mode benutzt
extern "C" byte far par_test_mode;
// wartet bevor der bootmanager anspringt
extern "C" word far par_startverzoegerung;
// timeout in sekunden oder 8000h fuer unbeschraenkt
extern "C" word far par_wartezeit;
// laesst ein es mal beepen
#define CFG_BEEP_BEIMSTART 1
#define CFG_NO_WRITE       2
extern "C" byte far par_config;
// laenge des programms in byte
extern "C" word far par_byte_len;
extern "C" byte far par_cols[4];

struct par_partitionentry
{
  byte  isEntry;
  char  entryname[32];
  char  addinfos [13];
  byte  disk;
  byte  lower8cyl;
  byte  sek05cyl67;
  byte  head;
  byte  parameter; //dieser parameter wird im bios uebergeben 0x40:0x0f0
  dword lbaADR;
  char  hiding_map[10];
  char  password[8]; // wenn visible=0 nach eingabe des passworts
                     // wird der eintrag sichtbar
  // flag field
  byte  flagfield;     // 1=eintrag wird angezeigt
};

// definitionen fuer das flagfield

#define FLAG_SET_ACTIVE_FLAG     1
// bootlaufwerk fuer div. dos-versionen
#define FLAG_SET_BYTE36_TO_HDNR  2
// drdos 6.0 schreibt es aber an adresse 0x1fd
#define FLAG_SET_BYTE1FD_TO_HDNR 4
// der os2 bootmanager moechte es hier
#define FLAG_SET_BYTE53_TO_HDNR  8




//extern par_partitionentry far * par_partition_starts;
// kein pointer mehr nur noch offset
extern "C" word far par_partition_starts_offset;
extern "C" par_partitionentry far entries[10];

struct par_hidingmapentry
{
  char           dosName; //CDE...
  byte           index_in_table;
  byte           hdnr;
  byte           head;
  zylsec         start_zyl;
  dword          lbaADR;
  PartitionEntry line;
};

//extern par_hidingmapentry far * const par_hide;
// kein pointer mehr nur noch offset
// extern word par_hide_offset; den jetzt auch nicht mehr
// c...z ergibt 25 laufwerke
extern "C" par_hidingmapentry far hide[25];
extern "C" char far version_str[5]; // nicht 0-terminiert !!!
extern "C" char far register_text[16]; // dito
extern "C" char far register_name[29]; // dito
